{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 12,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/CombinedFragmentOperations.validateConsiderAndIgnore(Lorg/eclipse/uml2/uml/CombinedFragment;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.getMessageKind(Lorg/eclipse/uml2/uml/Message;)Lorg/eclipse/uml2/uml/MessageKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateReturnValueRecipientCoverage(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OccurrenceSpecificationOperations.setCovered(Lorg/eclipse/uml2/uml/OccurrenceSpecification;Lorg/eclipse/uml2/uml/Lifeline;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageableElementOperations.validateNamespaceNeedsVisibility(Lorg/eclipse/uml2/uml/PackageableElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LifelineOperations.validateSameClassifier(Lorg/eclipse/uml2/uml/Lifeline;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtendOperations.validateExtensionPoints(Lorg/eclipse/uml2/uml/Extend;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/CollaborationUseOperations.validateEveryRole(Lorg/eclipse/uml2/uml/CollaborationUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateReturnValueTypeRecipientCorrespondence(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/CombinedFragmentOperations.validateBreak(Lorg/eclipse/uml2/uml/CombinedFragment;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateArgumentsAreConstants(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 11,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterSetOperations.validateInput(Lorg/eclipse/uml2/uml/ParameterSet;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/LifelineOperations.validateSelectorSpecified(Lorg/eclipse/uml2/uml/Lifeline;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ContinuationOperations.validateFirstOrLastInteractionFragment(Lorg/eclipse/uml2/uml/Continuation;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/LifelineOperations.validateInteractionUsesShareLifeline(Lorg/eclipse/uml2/uml/Lifeline;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LifelineOperations.validateSelectorIntOrString(Lorg/eclipse/uml2/uml/Lifeline;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/InteractionFragmentImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InstanceSpecificationOperations.validateDeploymentTarget(Lorg/eclipse/uml2/uml/InstanceSpecification;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isTemplateParameter(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/GeneralOrderingOperations.validateIrreflexiveTransitiveClosure(Lorg/eclipse/uml2/uml/GeneralOrdering;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 12,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/DeploymentTargetImpl.getDeployedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateCannotCrossBoundaries(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/OccurrenceSpecificationOperations.getCovered(Lorg/eclipse/uml2/uml/OccurrenceSpecification;)Lorg/eclipse/uml2/uml/Lifeline;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ContinuationOperations.validateGlobal(Lorg/eclipse/uml2/uml/Continuation;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/CollaborationUseOperations.validateConnectors(Lorg/eclipse/uml2/uml/CollaborationUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateArgumentsCorrespondToParameters(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/TriggerOperations.validateTriggerWithPorts(Lorg/eclipse/uml2/uml/Trigger;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/CombinedFragmentOperations.validateOptLoopBreakNeg(Lorg/eclipse/uml2/uml/CombinedFragment;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 5,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InstanceSpecificationOperations.validateDefiningFeature(Lorg/eclipse/uml2/uml/InstanceSpecification;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InstanceSpecificationOperations.validateStructuralFeature(Lorg/eclipse/uml2/uml/InstanceSpecification;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.isDistinguishableFrom(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateOccurrenceSpecifications(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateGatesMatch(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterSetOperations.validateSameParameterizedEntity(Lorg/eclipse/uml2/uml/ParameterSet;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateSignatureIsOperationRequest(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateArguments(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateSendingReceivingMessageEvent(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/CollaborationUseOperations.validateClientElements(Lorg/eclipse/uml2/uml/CollaborationUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateSignatureIsOperationReply(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ContinuationOperations.validateSameName(Lorg/eclipse/uml2/uml/Continuation;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InteractionUseOperations.validateAllLifelines(Lorg/eclipse/uml2/uml/InteractionUse;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterSetOperations.validateTwoParameterSets(Lorg/eclipse/uml2/uml/ParameterSet;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateSignatureIsSignal(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/InstanceSpecificationOperations.validateDeploymentArtifact(Lorg/eclipse/uml2/uml/InstanceSpecification;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.validateSignatureReferTo(Lorg/eclipse/uml2/uml/Message;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12
  }
}